This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 438619 - why stops yum if one repo is not online?
why stops yum if one repo is not online?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-22 21:41 EDT by Reindl Harald
Modified: 2014-01-21 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-24 21:44:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Reindl Harald 2008-03-22 21:41:04 EDT
Hi

Is it possible to modiy yum in a way it does its work if one of the configured
repo is not availabe and only gives a warning - so you must not use
--disablerepo and get updates from all locations which are online without break

yum clean metadata && yum -y --enablerepo=updates-testing update 

primary.xml.gz            100% |=========================|  10 kB    00:00
http://ayo.freshrpms.net/fedora/linux/8/i386/freshrpms/repodata/repomd.xml:
[Errno 12] Timeout: <urlopen error timed out>
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository:
freshrpms. Please verify its path and try again
[root@srv-rhsoft:~]$
Comment 1 Seth Vidal 2008-03-24 21:44:04 EDT
This is unsafe behavior as it means a user could easily miss some updates. Not
to mention that dependency calculation would very much be off.

It's been discussed many times before and the answer is no, we won't implement it.

sorry.


Note You need to log in before you can comment on or make changes to this bug.